> ## Documentation Index
> Fetch the complete documentation index at: https://docs.periskope.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create FAQ

> Create a new FAQ entry in the knowledge base




## OpenAPI

````yaml POST /knowledge-base/faq/create
openapi: 3.0.3
info:
  title: API - Local
  description: >-
    #### Welcome to the official Postman collection of Periskope API


    Periskope APIs enable you automate actions on your WhatsApp phone, and the
    Periskope platform


    - Read more about the APIs & webhooks here -
    [https://docs.periskope.app/api-reference/introduction](https://docs.periskope.app/api-reference/introduction)
        
    - We encourage responsible usage of the APIs. Follow these best practices
    and recommendations for safe actions on WhatsApp -
    [https://docs.periskope.app/get-started/best-practices](https://docs.periskope.app/get-started/best-practices)
        

    #### Getting Started


    ##### Pre-requisites:


    1. **Sign up for a free account on Periskope:** To use the Periskope API,
    you need to have an active Periskope account. If you don’t have one, you can
    sign up for a 7-day free trial [here](https://console.periskope.app).
        
    2. **Scan the QR code from WhatsApp to connect your phone:** A connected
    phone is required to use the APIs
        
    3. **Go to** [Settings &gt;
    API](https://console.periskope.app/settings/api), and generate an API key
    for your organization - The API key is used to authenticate every request.
    Please keep this secure
        

    ##### Using Postman:


    1. **Fork the collection so you can edit values and test the APIs in your
    own postman environment:** To fork the collection, click on the three dots
    next to v1. Then click on create a fork (_shortcut: Ctrl + Alt + F)._
        
    2. **Update the value of the variables in the collection:**  
        \- Update the API key with the key generated in Step 3  
        \- Update the phone number with your connected number. This number will be added to the `x-phone` header across requests
        
        It must be in the format of country code+number, with no special characters or spaces _e.g. +91 98745 32456 becomes 919874532456_
        

    For any help or feedback, please contact us at
    [support@periskope.app](https://mailto:support@periskope.app), or ping us on
    [WhatsApp](https://what.sapp.link/periskope)
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.periskope.app/v1
security:
  - bearerAuth: []
tags:
  - name: contacts
  - name: tickets
  - name: tasks
  - name: phones
  - name: message
  - name: queue
  - name: chats
  - name: group
  - name: members
  - name: webhooks
  - name: custom properties
paths:
  /knowledge-base/faq/create:
    post:
      tags:
        - knowledge-base
      summary: Create FAQ
      description: |
        Create a new FAQ entry in the knowledge base
      operationId: createFaq
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - question
                - answer
              properties:
                question:
                  type: string
                  example: How do I connect WhatsApp?
                  description: The FAQ question
                answer:
                  type: string
                  example: >-
                    You can connect WhatsApp by scanning the QR code in
                    Settings.
                  description: The FAQ answer
      responses:
        '201':
          description: 201 Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  context_id:
                    type: string
                    description: The unique identifier for this FAQ
                  type:
                    type: string
                    description: Type of entry (faq)
                  question:
                    type: string
                    description: The FAQ question
                  answer:
                    type: string
                    description: The FAQ answer
                  embedding:
                    type: array
                    description: 'The vector embedding of the FAQ (Dimension: 768)'
                  attachments:
                    type: array
                    description: Array of attachment URLs
                  created_at:
                    type: string
                    description: Creation timestamp
              examples:
                201 Created:
                  value:
                    context_id: ai-context-aaauajhjdgjnomr
                    type: faq
                    question: How do I connect WhatsApp?
                    answer: >-
                      You can connect WhatsApp by scanning the QR code in
                      Settings.
                    attachments:
                      - https://example.com/image.png
                    created_at: '2025-01-20T10:00:00Z'
                    updated_at: '2025-01-20T10:00:00Z'
        '400':
          description: Bad Request - Invalid input
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: |-
            import { PeriskopeApi } from '@periskope/periskope-client';

            const client = new PeriskopeApi({
              authToken: 'YOUR_API_KEY',
              phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
            });

            async function createFaq() {
              const response = await client.knowledgeBase.createFaq({
                question: 'How do I connect WhatsApp?',
                answer: 'You can connect WhatsApp by scanning the QR code in Settings.',
                attachments: ['https://example.com/image.png']
              });

              console.log(response);
            }

            createFaq();
        - lang: cURL
          label: cURL
          source: |-
            curl -X POST \
              https://api.periskope.app/v1/knowledge-base/faq/create \
              -H 'Authorization: Bearer <token>' \
              -H 'Content-Type: application/json' \
              -H 'x-phone: YOUR_PHONE_NUMBER' \
              -d '{
                "question": "How do I connect WhatsApp?",
                "answer": "You can connect WhatsApp by scanning the QR code in Settings.",
                "attachments": ["https://example.com/image.png"]
              }'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````